﻿using Microsoft.Practices.EnterpriseLibrary.Common.Configuration.ObjectBuilder;

namespace Artech.BatchJobExecutor
{
    public static class BatchJobFactory
    {
           
       public static BatchJob Create()
        {
            return EnterpriseLibraryFactory.BuildUp<BatchJob>();
        }

       public static BatchJob Create(string batchJobName)
       {
           return EnterpriseLibraryFactory.BuildUp<BatchJob>(batchJobName);
       }
    }
}
