﻿using System.Configuration;
using Microsoft.Practices.EnterpriseLibrary.Common.Configuration.ObjectBuilder;

namespace Artech.BatchJobExecutor.Configuration
{
    [Assembler(typeof(DirectoryCreationJobStepAssembler))]
    public class DirectoryCreationJobStepData : JobStepData
    {
        [ConfigurationProperty("directoryToCreate")]
        public string DirectoryToCreate
        {
            get
            {
                return this["directoryToCreate"] as string;
            }
        }

        [ConfigurationProperty("alwaysCreateNew", IsRequired=false, DefaultValue=true)]
        public bool AlwaysCreateNew
        {
            get
            {
                return (bool)this["alwaysCreateNew"];
            }
        }
    }
}
