﻿using System;
using Microsoft.Practices.EnterpriseLibrary.Common.Configuration;
using System.Configuration;

namespace Artech.BatchJobExecutor.Configuration
{
    public class JobStepData : NameTypeConfigurationElement
    {

        [ConfigurationProperty("description", IsRequired = false, DefaultValue = "")]
        public string Description
        {
            get
            {
                return this["description"] as string;
            }
        }

        public JobStepData()
        {
        }

        public JobStepData(string name, Type type)
            : base(name, type)
        {
        }
    }
}
