﻿using System.Configuration;
using Microsoft.Practices.EnterpriseLibrary.Common.Configuration;

namespace Artech.BatchJobExecutor.Configuration
{
    public class VariableEntry : NamedConfigurationElement
    {
        [ConfigurationProperty("value", IsRequired = true)]
        public string Value
        {
            get
            {
                return this["value"] as string;
            }
        }

        public VariableEntry()
        { }

        public VariableEntry(string name)
            : base(name)
        { }
    }
}
