﻿using System.Configuration;
using Microsoft.Practices.EnterpriseLibrary.Common.Configuration.ObjectBuilder;

namespace Artech.BatchJobExecutor.Configuration
{
    [Assembler(typeof(DirectoryDeletionJobAssembler))]
    public class DirectoryDeletionJobStepData : JobStepData
    {
        [ConfigurationProperty("directoryToDelete",IsRequired =true)]
        public string DirectoryToDelete
        {
            get
            {
                return this["directoryToDelete"] as string;
            }
        }

        [ConfigurationProperty("throwExceptionIfNotExists", IsRequired = false, DefaultValue = false)]
        public bool ThrowExceptionIfNotExists
        {
            get
            {
                return (bool)this["throwExceptionIfNotExists"];
            }
        }
    }
}
