﻿using System.Configuration;
using Microsoft.Practices.EnterpriseLibrary.Common.Configuration.ObjectBuilder;

namespace Artech.BatchJobExecutor.Configuration
{
    [Assembler(typeof(DirectoryMoveJobStepAssembler))]
    public class DirectoryMoveJobStepData : JobStepData
    {
        [ConfigurationProperty("source",IsRequired=true)]
        public string SourceDirectory
        {
            get
            {
                return this["source"] as string;
            }
        }

        [ConfigurationProperty("destination", IsRequired = true)]
        public string DestinationDirectory
        {
            get
            {
                return this["destination"] as string;
            }
        }        
    }
}
